# RASAllowedDevicesSetting Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RAS Allowed Devices Settings

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒RASAllowedDevicesSetting

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                        | Name                               | Description |                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- | ----------- | ---------------------------------------------------------------------------- |
| Boolean                                                                                                                                     | AllowClientAndroid                 |             | Whether Android clients are allowed or not.                                  |
| Boolean                                                                                                                                     | AllowClientChromeApp               |             | Whether ChromeApp clients are allowed or not                                 |
| Boolean                                                                                                                                     | AllowClientIOS                     |             | Whether IOS clients are allowed or not.                                      |
| Boolean                                                                                                                                     | AllowClientLinux                   |             | Whether Linux clients are allowed or not.                                    |
| Boolean                                                                                                                                     | AllowClientMAC                     |             | Whether MAC clients are allowed or not.                                      |
| [AllowClientMode](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AllowClientMode.html) | AllowClientMode                    |             | Permission mode for allowing types of clients.                               |
| Boolean                                                                                                                                     | AllowClientWeb                     |             | Whether Web clients are allowed or not.                                      |
| Boolean                                                                                                                                     | AllowClientWindows                 |             | Whether Windows clients are allowed or not.                                  |
| Boolean                                                                                                                                     | AllowClientWithSecurityPatchesOnly |             | Whether clients with security patches installed are only allowed to connect. |
| Boolean                                                                                                                                     | AllowClientWyse                    |             | Whether Wyse clients are allowed or not.                                     |
| UInt32                                                                                                                                      | MinBuildAndroid                    |             | Represents the minimum build required for the Android client.                |
| UInt32                                                                                                                                      | MinBuildChromeApp                  |             | Represents the minimum build required for the ChromeApp client.              |
| UInt32                                                                                                                                      | MinBuildIOS                        |             | Represents the minimum build required for the IOS client.                    |
| UInt32                                                                                                                                      | MinBuildLinux                      |             | Represents the minimum build required for the Linux client.                  |
| UInt32                                                                                                                                      | MinBuildMAC                        |             | Represents the minimum build required for the MAC client.                    |
| UInt32                                                                                                                                      | MinBuildWeb                        |             | Represents the minimum build required for the Web client.                    |
| UInt32                                                                                                                                      | MinBuildWindows                    |             | Represents the minimum build required for the Windows client.                |
| UInt32                                                                                                                                      | MinBuildWyse                       |             | Represents the minimum build required for the Wyse client.                   |
| Boolean                                                                                                                                     | ReplicateSettings                  |             | Whether replication of settings to other sites is enabled or not.            |
| UInt32                                                                                                                                      | SiteId                             |             | The site ID to which the allowed device settings refer.                      |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/rasalloweddevicessetting-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
